#pragma once
#include "../GPU/gpu_internal.hpp"
#include <stdio.h>

namespace JabyEngine {
    #define __debug_boot_color_at(color, x, y, scale) { \
        ::JabyEngine::GPU::internal::quick_fill_fast(color, {{64*x, 64*y}, {static_cast<uint16_t>(64*scale), static_cast<uint16_t>(64*scale)}}); \
    }

    #define __debug_boot_print_at(color, x, y, scale, ...) { \
        __debug_boot_color_at(color, x, y, scale); \
        printf(__VA_ARGS__); \
    }
}